# Welcome to Auth ini File.
# Leading # makes line a comment

ldap_map_domain test.com dc=nswsugar,dc=com,dc=au
ldap_map_domain peacevillage.com ou=smalldomains,dc=bkwsu,dc=org

log true
log_path test.log

# Main LDAP connection Information
ldap_host 161.29.2.41
ldap_port 389

ldap_mgr_dn manager
#ldap_mgr_dn cn=lynden,dc=netwin,dc=co,dc=nz
ldap_mgr_pw qwerty

#radius_host www1.jmail.co.jp

#pop_domain host.com

# LDAP Main Fields
#ldap_search_base dc=netwin,dc=co,dc=nz
#ldap_scope LDAP_SCOPE_ONELEVEL

ldap_search_base dc=test,dc=dom

# ****** SurgeLDAP v1.0j+ use 'netwinperson' ****
# ldap_objectclass person
ldap_objectclass netwinperson
# ldap_search_name mail
# ldap_extend_search (AnyAttribute==AnyValue)
# ldap_extend_lookup (AnyAttribute==AnyValue)
# field_password UserPassword

# LDAP Optional Fields
# --------------------

# ldap_extend_search (usertype=student)

# SurgeMail/DMail and NetAuth Settings
# ------------------------------------
### info_fields surgemail_field ldap_field
info_fields created created
info_fields fwd fwd
info_fields quota quota


# SurgeMail Only Settings
# ------------------------------------
# If surgemail is setup as a proxy you need this setting
info_fields tohost tohost
info_fields allow allow

info_fields mailaccess mailaccess
info_fields mailstatus mailstatus
info_fields full_name givenName
info_fields phone homePhone
info_fields smsto smsto
info_fields user_access user_access

info_fields alias_quota alias_quota
info_fields list_quota list_quota
info_fields user_access user_access
info_fields send_limit send_limit

info_fields spf_block spf_block
info_fields disabled disabled

info_fields realuser realuser
info_fields friends friends
info_fields enotify enotify
info_fields ddpriv ddpriv
info_fields ddfrom ddfrom

# SurgeMail Credit Card Fields
# -----------------------------------

info_fields ccexpires ccexpires
info_fields ccname ccname
info_fields ccnumber ccnumber
info_fields ccciv ccciv
info_fields cctype cctype

# SurgeMail and NetAuth Settings
# ------------------------------
info_fields pass_question pass_question
info_fields pass_answer pass_answer

# SurgeMail/DMail and DNews Settings
# ----------------------------------
info_fields groups groups


# SurgeFTP Settings
# -----------------
# info_fields ftphome ftphome
# info_fields ftpquota ftpquota
# info_fields ftpfromip ftpfromip
# info_fields ftpgid ftpgid
# info_fields ftpuid ftpuid
# info_fields accountstatus accountstatus



# LDAP MUST HAVE fields
must_set_fields sn name
must_set_fields cn name

# Password Methods (Default plain text)
# unix_password true
# use_crypt_on_set true
# plain_password true
# sha_hash true
# ssha_hash true


# Example command testing all fields
# set test@test.com test fwd="fwd" quota="10M" tohost="1" allow="allow" mailaccess="mailaccess" mailstatus="mailstatus" full_name="givenName" phone="homePhone" smsto="smsto" user_access="user_access" alias_quota="alias_quota" list_quota="list_quota" user_access="user_access" send_limit="send_limit" spf_block="spf_block" disabled="disabled" realuser="realuser" friends="friends" enotify="enotify" ddpriv="ddpriv" ddfrom="ddfrom" pass_question="pass_question" pass_answer="pass_answer" ftphome="ftphome" ftpquota="ftpquota" ftpfromip="ftpfromip" ftpgid="ftpgid" ftpuid="ftpuid" accountstatus="accountstatus"
# lookup test@test.com
